Loading...
Searching...
No Matches
openshot::OutOfBoundsFrame Class Reference

Exception for frames that are out of bounds. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::OutOfBoundsFrame:

## Public Member Functions

| OutOfBoundsFrame (std::string message, int64_t frame_requested, int64_t max_frames)
| Constructor.
std::string | py_message () const override
virtual | ~OutOfBoundsFrame () noexcept
Public Member Functions inherited from openshot::ExceptionBase
| ExceptionBase (std::string message)
virtual const char * | what () const noexcept
virtual | ~ExceptionBase () noexcept

## Public Attributes

int64_t | FrameRequested
int64_t | MaxFrames

## Additional Inherited Members

Protected Attributes inherited from openshot::ExceptionBase
std::string | m_message

## Detailed Description

Exception for frames that are out of bounds.

Definition at line 300 of file Exceptions.h.

## Constructor & Destructor Documentation

## OutOfBoundsFrame()

openshot::OutOfBoundsFrame::OutOfBoundsFrame | ( | std::string | message,
|  | int64_t | frame_requested,
|  | int64_t | max_frames
| ) |  |

inline

Constructor.

Parameters

  message | A message to accompany the exception
  frame_requested | The out-of-bounds frame number requested
  max_frames | The maximum available frame number

Definition at line 312 of file Exceptions.h.

## ~OutOfBoundsFrame()

virtual openshot::OutOfBoundsFrame::~OutOfBoundsFrame | ( |  | ) |

inline virtual noexcept

Definition at line 314 of file Exceptions.h.

## Member Function Documentation

## py_message()

std::string openshot::OutOfBoundsFrame::py_message | ( |  | ) | const

inline override virtual

Reimplemented from openshot::ExceptionBase.

Definition at line 315 of file Exceptions.h.

## Member Data Documentation

## FrameRequested

int64_t openshot::OutOfBoundsFrame::FrameRequested

Definition at line 303 of file Exceptions.h.

Referenced by py_message().

## MaxFrames

int64_t openshot::OutOfBoundsFrame::MaxFrames

Definition at line 304 of file Exceptions.h.

Referenced by py_message().

The documentation for this class was generated from the following file:

- Exceptions.h